Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008673opensim[REGION] OpenSim Corepublic2020-03-15 08:422020-03-19 08:29
Reporternixnerd 
Assigned Tonixnerd 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0008673: When reverting to 0.9.2 Dev, from current Master, all simulators terminate in console with error message
DescriptionWhen reverting to 0.9.2 Dev, from current Master, no sims will start, all give the error "Fatal error: System.InvalidCastException: Specified cast is not valid." and terminate. Robust is fine though.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Script EngineXEngine
EnvironmentMono / Linux64
Mono Version5.x
Viewer
Attached Files

- Relationships

-  Notes
(0036279)
tampa (reporter)
2020-03-15 09:42

Can you attach some logs so we have a bit more information than that?
(0036280)
nixnerd (reporter)
2020-03-15 10:12
edited on: 2020-03-15 10:13

I cleared the log files, during the process, so unfortunately I've only got logs, since reverting back to current master.

However I can tell you the commits concerned:

Originally running e76006aff5 2020-03-01 03:22:58 +0000

then reverted to:

d9d763c8f8 2020-01-07 15:18:49 +0000

At which point, Robust was fine, but all sims were giving the error message mentioned earlier and terminating.

Consequently, I did a git pull against master (to 5f76a62d29 2020-03-13 21:27:57 +0000), deleted the ScriptEngines directory, dropped a copy of osslEnable.ini back into config-include and everything worked, as it had done, prior to the reversion.

(0036286)
nixnerd (reporter)
2020-03-17 17:12

Can someone, please give this issue a little loving, tender, care as unless I've missed something, this is a bit of blocker, for those wishing to revert back to regular releases, from trunk/master - thank you
(0036287)
tampa (reporter)
2020-03-18 07:56

Reverting from master to a release has never been supported, why would it be? It makes no sense, eventually there are grave forward changes and there is no system to revert, for example database changes, back. You can either stick to the release or run on the bleeding edge, to do both when code constantly changes is not going to work well and there is really no reason for it unless you are debugging specific issues(even then you wouldn't mix-match things like that).
(0036289)
UbitUmarov (administrator)
2020-03-18 07:59
edited on: 2020-03-18 08:00

make sure you do clean the solution and runprebuild ( this order)
or just compile on a new folder
(as ALWAYS)
and some changes may not be reversible, like tampa said
(for example a relative recent change on databases field types)

(0036292)
nixnerd (reporter)
2020-03-19 08:28

Appreciate the feedback, marking as resolved

- Issue History
Date Modified Username Field Change
2020-03-15 08:42 nixnerd New Issue
2020-03-15 09:42 tampa Note Added: 0036279
2020-03-15 10:12 nixnerd Note Added: 0036280
2020-03-15 10:13 nixnerd Note Edited: 0036280 View Revisions
2020-03-15 10:13 nixnerd Note Edited: 0036280 View Revisions
2020-03-17 17:12 nixnerd Note Added: 0036286
2020-03-18 07:56 tampa Note Added: 0036287
2020-03-18 07:59 UbitUmarov Note Added: 0036289
2020-03-18 08:00 UbitUmarov Note Edited: 0036289 View Revisions
2020-03-19 08:28 nixnerd Note Added: 0036292
2020-03-19 08:29 nixnerd Status new => resolved
2020-03-19 08:29 nixnerd Resolution open => no change required
2020-03-19 08:29 nixnerd Assigned To => nixnerd


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker